Package com.google.android.exoplayer2.effect

## Interface GlTextureProcessor.OutputListener

- Enclosing interface:
    GlTextureProcessor

      public static interface GlTextureProcessor.OutputListener

  Listener for output-related frame processing events.

  This listener can be called from any thread.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `onCurrentOutputStreamEnded()` | Called when the `GlTextureProcessor` will not produce further output frames belonging to the current output stream.
    `default void` | `onOutputFrameAvailable​(TextureInfo outputTexture, long presentationTimeUs)` | Called when the `GlTextureProcessor` has produced an output frame.

- - ### Method Detail

    - #### onOutputFrameAvailable

          default void onOutputFrameAvailable​(TextureInfo outputTexture,
                                              long presentationTimeUs)

      Called when the `GlTextureProcessor` has produced an output frame.

      After the listener's owner has processed the output frame, it must call `GlTextureProcessor.releaseOutputFrame(TextureInfo)`. The output frame should be released as soon as possible, as there is no guarantee that the `GlTextureProcessor` will produce further output frames before this output frame is released.

      Parameters:
        `outputTexture` - A `TextureInfo` describing the texture containing the output frame.
        `presentationTimeUs` - The presentation timestamp of the output frame, in microseconds.

    - #### onCurrentOutputStreamEnded

          default void onCurrentOutputStreamEnded()

      Called when the `GlTextureProcessor` will not produce further output frames belonging to the current output stream.